from enum import StrEnum

from pydantic import BaseModel


class WebsocketCommands(StrEnum):
    TTS_SEND = "tts_send"
    CHATBOT_START = "chatbot_start"
    CHATBOT_STOP = "chatbot_stop"
    CHATBOT_STATUS = "chatbot_status"
    CHATBOT_UPDATE = "chatbot_update"


class WebsocketMessage(BaseModel):
    command: WebsocketCommands
    data: dict
